Loading...
Searching...
No Matches
L4vcpu::State Class Reference
vCPU Support Library

C++ implementation of state word in the vCPU area. More...

`#include <vcpu>`

Collaboration diagram for L4vcpu::State:

## Public Member Functions

| State (unsigned v)
| Initialize state.
void | add (unsigned bits) throw ()
| Add flags.
void | clear (unsigned bits) throw ()
| Clear flags.
void | set (unsigned v) throw ()
| Set flags.

## Detailed Description

C++ implementation of state word in the vCPU area.

Definition at line 24 of file vcpu.

## Constructor & Destructor Documentation

## State()

L4vcpu::State::State | ( | unsigned | v | ) |

inlineexplicit

Initialize state.

Parameters

  v | Initial state.

Definition at line 34 of file vcpu.

## Member Function Documentation

## add()

void L4vcpu::State::add | ( | unsigned | bits | ) |
throw | ( | ) |  |  |

inline

Add flags.

Parameters

  bits | Bits to add to the word.

Definition at line 41 of file vcpu.

## clear()

void L4vcpu::State::clear | ( | unsigned | bits | ) |
throw | ( | ) |  |  |

inline

Clear flags.

Parameters

  bits | Bits to clear in the word.

Definition at line 48 of file vcpu.

## set()

void L4vcpu::State::set | ( | unsigned | v | ) |
throw | ( | ) |  |  |

inline

Set flags.

Parameters

  v | Set the word to the value of v.

Definition at line 55 of file vcpu.

The documentation for this class was generated from the following file:

- l4/vcpu/vcpu